/*
 * rmsgprot.h -- protocol definitions for the rmsg system
 *
 * $Header: rmsgprot.h,v 1.60 88/07/15 10:31:57 t33876w Exp $
 *
 * Author: Jyrki Kuoppala (jkp@hutcs.hut.fi)
 *
 * Copyright 1988 by Helsinki University of Technology, Nixula
 *
 * Created: Sun Apr 10 16:17:08 1988
 * Last modified: Wed Apr 13 21:37:51 1988
 */

/* 0x20000000 to 0x3fffffff are defined by user according to Sun */
#define RMSGPROG 0x20000010
#define RMSGPROC_MSG 1
#define RMSGVERS_ORIG 1
#define RMSGVERS 2

#define TOLEN 30
#define FROMLEN 80
#define FROMNAMELEN 200
#define MSGLEN 4096

struct rmsg_par {
     char *to;
     char *from;
     char *fromname;
     char *msg;
};
