/*
 * xdr.c -- the xdr routine for rmsg
 *
 * $Header: xdr.c,v 1.60 88/07/15 10:32:17 t33876w Exp $
 *
 * Author: Jyrki Kuoppala (jkp@hutcs.hut.fi)
 *
 * Copyright 1988 by Helsinki University of Technology, Nixula
 *
 * Created: Sun Apr 10 18:14:45 1988
 * Last modified: Wed Apr 13 21:38:04 1988
 */
#include <stdio.h>
#include <rpc/rpc.h>
#include "rmsgprot.h"

int xdr_rmsg (xdrsp, rm)
XDR *xdrsp;
struct rmsg_par *rm;
{
     if (! xdr_string(xdrsp, &rm->to, TOLEN))
          return (0);
     if (! xdr_string(xdrsp, &rm->from, FROMLEN))
          return (0);
     if (! xdr_string(xdrsp, &rm->fromname, FROMNAMELEN))
          return (0);
     if (! xdr_string(xdrsp, &rm->msg, MSGLEN))
          return (0);
     return (1);
}
